Skip to main content
GET
/
price-lists
Get price lists
curl --request GET \
  --url https://spaportal.cz/api/v1/price-lists \
  --header 'Authorization: Bearer <token>'
[
  {
    "_id": "66f16191f739705faa020008",
    "id": 1,
    "visit_type": {
      "_id": "66f16191f739705faa020004",
      "id": 1,
      "name": {
        "cs_CZ": "Frantiskolazenska lecebna kura",
        "de": "Franzensbader Heilkur"
      },
      "on_demand": false
    },
    "seasons": [
      {
        "date_from": "2026-04-28",
        "date_to": "2027-01-01",
        "rooms": [
          {
            "room_type": {
              "_id": "66f16191f739705faa020003",
              "id": 1,
              "category": {
                "cs_CZ": "Prezidentske apartma",
                "de": "App."
              },
              "hotel": {
                "_id": "66f16191f739705faa020002",
                "id": 1,
                "name": "Pawlik",
                "stars": 4
              },
              "booking_url": {
                "cs_CZ": "https://rezervace.frantiskovylazne.cz?hotel=Pawlik&roomType=APPARTEMENT",
                "de": "https://reservierung.franzensbad.cz?hotel=Pawlik&roomType=APPARTEMENT"
              }
            },
            "price_per_night": {
              "cs_CZ": {
                "amount": 1024.5,
                "currency": "CZK"
              },
              "de": {
                "amount": 40,
                "currency": "EUR"
              }
            },
            "price_total": {
              "cs_CZ": {
                "amount": 10245,
                "currency": "CZK"
              },
              "de": {
                "amount": 400,
                "currency": "EUR"
              }
            }
          }
        ]
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string

Comma-separated list of languages to include.

Example:

"cs_CZ,de"

Query Parameters

visit_type_id
integer

Filter by visit type ID.

hotel_id
integer

Filter by hotel ID.

beds
integer

Filter by room occupancy.

Required range: 1 <= x <= 2
nights
integer

Filter by number of nights.

max_nested
integer
default:10

Maximum number of nested items to return.

Required range: 1 <= x <= 100
date_from
string<date>

Start date in YYYY-MM-DD format.

date_to
string<date>

End date in YYYY-MM-DD format.

Response

Price list data.

_id
string

Object id (24-character hex string) for the same entity.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"66f16191f739705faa020001"

id
integer
visit_type
object
seasons
object[]